#----------------------------------------------------------------------------
# /usr/local/bin/dyneisfair.sh - fli4l dns registration (and refresh)
#
# Creation:     21.08.2002  fm
# Last Update:  $Id: dyneisfair.sh 8091 2005-03-24 16:43:33Z babel $
#----------------------------------------------------------------------------
interface=$1				    # from /etc/ppp/ip-up.dyneisfair
					    # may be empty
if [ "$interface" = "off" ]
then
    interface=
    cmd=unset
else
    cmd=set
fi

. /var/run/dyneisfair.cfg

server=dns.eisfair.net
port=5005

circuit_valid='false'

if [ "$interface" != "" ]
then
    for j in $dyneisfair_circuits
    do
	file=/var/run/circuit-$j	    # created by etc/rc.d/circuits

	if [ -f $file ]
	then
	    dev=`cat $file`

	    if [ "$dev" = "$interface" ]
	    then			    # created by etc/rc.d/rc.time
		circuit_valid='true'
		break
	    fi
	fi
    done
else
    circuit_valid='true'
fi

if [ "$circuit_valid" = "true" ]
then
    i=1
    while [ $i -le $dyneisfair_domain_n ]
    do
	eval domain='$dyneisfair_domain_'$i
	eval pass='$dyneisfair_password_'$i

	answer=`echo $cmd $domain $pass | netcat -w 15 $server $port`

	if [ $? = 0 ]
	then
	    if [ "$answer" = "" ]
	    then
		answer="got no answer from registration server"
	    fi

	    echo $answer
	else
	    echo "dyneisfair: connect error" >&2
	fi

	i=`expr $i + 1`
    done
fi
